<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Order extends Model
{
    use HasFactory;
    protected $primaryKey = 'order_id';
    protected $guarded = ['order_id'];
    public function getCreatedAtAttribute()
    {
        $start = Carbon::parse($this->attributes['created_at'])->format('M d');
        $end = Carbon::parse($this->attributes['created_at'])->format('y');
        return $start.' - '.$end;
    }

    public function order_detail(){
        return $this->hasMany(OrderDetail::class, 'order_id');
    }

    public function DocumentNo()
    {
        $check = Order::where('documentno','like','%#%' )->latest()->first()->documentno ?? null;
        $max=1;
        if($check != null){
            $var = (explode("#",$check));
            $max1 = $var[0];
            $max2 = $var[1] ;
            $max = $max2+1;
        }
        $user_id = 1; 
        $latestOrderId = Order::latest('order_id')->pluck('order_id')->first();
    $id = $latestOrderId + 1;
        $value = 'DOC#'.$id;
        return  $value;
    }
}
