<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderDetail extends Model
{
    use HasFactory;
    protected $primaryKey = 'order_detail_id';
    protected $guarded = ['order_detail_id'];

    public function order(){
        return $this->belongsTo(Order::class, 'order_id');
    }
    function product(){
        return $this->belongsTo(Product::class, 'product_id');
    }
}
