<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="{{ asset('css/style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ asset('fontawesome-free-6.4.0-web/css/all.min.css') }}">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>
     <!-- nvbar starts -->
     <section id="header">
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <div class="container-fluid">
                <div class="logo">
                    <img src="{{ asset('img/logo.png') }}" height="85px" alt="">
                </div>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNav">
                    <div class="order_btn">
                        <button type="button">
                            new order
                        </button>
                    </div>
                    <div class="recipe">
                        <a href=""> Receipt</a>
                    </div>
                    <div class="order_btn1">
                        <button type="button">
                            0
                        </button>
                    </div>
                    <div class="order_btn2">
                        <button type="button">
                            <i class="fa-solid fa-bars"></i>
                        </button>
                    </div>
                    <div class="tis">
                        <a href="">tis software</a>
                    </div>
                    <div class="icons">
                        <div class="first">
                            <i class="fa-solid fa-bell"></i>
                        </div>
                        <div class="second">
                            <i class="fa-solid fa-wifi"></i>
                        </div>
                    </div>
                </div>
            </div>
        </nav>
    </section>
    <!-- navbar ends -->
    <div class="row" style="margin: 20px;background:#f8f8f8" >
        <!-- bar starts-->
        <section id="bar">
            <div class="container" style="border: 1px solid #f0f0f0;">
                <div class="row">
                    <div class="col-md-12">
                        <nav class="navbar">
                            <form class="container-fluid justify-content-start">
                            <button class=" btn3 btn btn-outline-success me-2" type="button">Open</button>
                            <button class="btn4 btn btn-sm btn-outline-secondary" type="button">Achive</button>
                            <div class="offline">
                                <a href="">offline achive</a>
                            </div>
                            </form>
                        </nav>
                    </div>
                </div>
            </div>
        </section>
        <!-- sales starts -->
            <div id="sale" class="container" style="margin:20px;">
                <div class="container" style="margin-top: 15px;">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="sale_bar">
                                <nav class="navbar">
                                    <form class="container justify-content-start">
                                    <div class="sale_btn">
                                        <select class=" btn6" type="button">
                                            <option> Sale Type</option>
                                            <option> Sale Type</option>
                                            <option> Sale Type</option>
                                            <option> Sale Type</option>
                                            <option> Sale Type</option>
                                        </select>
                                    </div>
                                    <div>
                                        <select class=" btn6" type="button">
                                            <option> Staff</option>
                                            <option> Staff</option>
                                            <option> Staff</option>
                                            <option> Staff</option>
                                            <option> Staff</option>
                                        </select>

                                    </div>
                                    </form>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>



            <!-- user start -->
                <section id="user">
                <div class="container" style="border-bottom: 1px solid #f0f0f0;">
                    @foreach ($items as $item)

                    <div class="row" style="border-bottom: 1px solid #f0f0f0;">
                            <div class="col-md-3">
                                <div class="date" style="margin-top: 15px">
                                <p>
                                    {{ $item->created_at }}
                                </p>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="name">
                                    <b>#
                                        {{ $item->order_id }}
                                    </b>
                                    <p>
                                        {{ 'Ahmad' }}
                                    </p>
                                </div>
                            </div>  
                            <div class="col-md-3">
                                <div class="btn" style="margin-top: 15px">
                                    <button>
                                        {{ 'Takeaway' }}
                                    </button>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="price">
                                    <p>
                                        <b>{{ 'ريال' }}</b>
                                        {{ $item->order_price }}
                                    </p>
                                </div>
                            </div>
                    </div>
                    @endforeach

                </div>
            </section>
        </div>
    </div>

        <!-- user end -->


    <!--sales ends -->






    <script src="./js/bootstrap.min.js"></script>
    <script src="./fontawesome-free-6.4.0-web/js/all.min.js"></script>
</body>
<script>
    $(document).ready(function() {
      $('.logo').on('click', function() {
        window.location.href = "{{ url('resturant') }}";
      });
    });
    </script>
</html>