<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <script src="{{ asset('js/jquery.js') }}"></script>
        <script src="{{ asset('js/main_javascript.js') }}"></script>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.7.0/dist/css/bootstrap.min.css">

        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

        <title>Laravel</title>

        <!-- Fonts -->
        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap" rel="stylesheet" />

        <!-- Styles -->
        <style>
           
        </style>
    </head>
    <body class="antialiased">
     <!-- Modal gallery -->
     <form action="{{ route('product_form_store') }}" method="post" enctype="multipart/form-data">
        @csrf
        <div class="form-group">
          <label for="formGroupExampleInput">Product Code</label>
          <input type="text" class="form-control" name="product_code"  placeholder="Product Code">
        </div>
        <div class="form-group">
            <label for="formGroupExampleInput">Product Name</label>
            <input type="text" class="form-control"  name="product_name"  placeholder="Product Name">
          </div>
        <div class="form-group">
          <label for="formGroupExampleInput2">Product Price</label>
          <input type="text" class="form-control"  name="product_price" placeholder="Product Price">
        </div>
       
          <div class="form-group">
            <label for="formGroupExampleInput2">Product Category</label>
            <input type="text" class="form-control" name="product_category" placeholder="Product Category">
          </div>
          <div class="form-group">
            <label for="formGroupExampleInput2">Product image</label>
            <input type="file" class="form-control" name="product_image" placeholder="Product Image">
          </div>
          <button type="submit" class="btn btn-primary">Submit</button>

      </form> 


<section class="">
    <!-- Section: Images -->
    <section class="">
      <div class="row">
       <div class="col-lg-4" id="receipt" style="background-color: bisque">
        <h1>Hi There</h1>
       </div>
      <div class="col-lg-8">
       @foreach ($products as $product)
           
        <div class="col-lg-2 mb-2 mb-lg-0">
          <div
            class="bg-image hover-overlay ripple shadow-1-strong rounded"
            data-ripple-color="light">
            <a href="#!" data-mdb-toggle="modal" data-mdb-target="#exampleModal2">
            <img
              src="{{ $product->product_image }}"
              class="w-100"/>
             <h5 class="userId" data-name="{{ $product->product_name }}" data-price="{{ $product->product_price }}" data-id="{{ $product->product_id }}">{{ $product->product_name }}</h5>
             <h6>{{ $product->product_price }}</h6>

              <div class="mask" style="background-color: rgba(251, 251, 251, 0.2);"></div>
            </a>
          </div>
        </div>
        @endforeach

      </div>
  
      </div>
    </section> 

    <!-- Button to open the modal -->
<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#quantityModal">
    Enter Quantity
  </button>
  
  <!-- Quantity Modal -->
  <div class="modal fade" id="quantityModal" tabindex="-1" role="dialog" aria-labelledby="quantityModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="quantityModalLabel">Enter Quantity</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <input type="text" id="quantityInput" class="form-control" placeholder="Enter quantity">
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary" id="calculateBtn">Calculate</button>
        </div>
      </div>
    </div>
  </div>

  <!-- Button trigger modal -->
<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalLong">
    Launch demo modal
  </button>
  
  <!-- Modal -->
  <div class="modal fade" id="exampleModalLong" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLongTitle">Modal title</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          ...
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary">Save changes</button>
        </div>
      </div>
    </div>
  </div>
  
    <!-- Section: Images -->
  
    <!-- Section: Modals -->
   
    <!-- Section: Modals -->
  <!-- Modal gallery -->

    </body>
    {{-- <script>
        $(document).ready(function() {
            $('.addDivButton').click(function() {
                alert('hi');
                var newDiv = $('<div>New Div</div>');
                $('#receipt').append(newDiv);
            });
        });
    </script> --}}
    <script>
    $(".userId").click(function () {
       
        var id = $(this).data('id');
        var name = $(this).data('name');
        var price = $(this).data('price');

        alert(id);
        // var newDiv = $('<div>New Div</div>');
         var newDiv = id+  '    '   +name+ '   '  +price
                $('#receipt').append(newDiv);
    
      });
      </script>
      <script>
        $(document).ready(function() {
  // Calculate button click event
            $('#calculateBtn').click(function() {
                // Get the quantity entered by the user
                var quantity = parseInt($('#quantityInput').val());

                // Perform any calculations or processing with the quantity value
                // For example, you can multiply it by a price or perform custom calculations

                // Display the result
                alert('Quantity: ' + quantity);

                // Close the modal
                $('#quantityModal').modal('hide');
            });
            });

        </script>

</html>
