<?php

namespace App\Http\Controllers;

use App\Models\Order;
use App\Models\OrderDetail;
use App\Models\Product;
use Illuminate\Http\Request;

class OrderController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function receipt()
    {
        $items = Order::all();

        return view('receipt', compact('items'));
    }

    public function index()
    {
        $products = Product::all();
        
        $latestOrderId = Order::max('order_id');
        $newOrderId = $latestOrderId + 1;
        return view('index', compact('products','newOrderId'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
        
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
        $data = new Order();
        $data->order_price = $request->totalAmount;
        $data->user_id = '1';
        $data->order_code = '1';
        $data->time = $request->time;
        $data->save();
        $latestOrderId = Order::latest('order_id')->pluck('order_id')->first();
        $orderId = $latestOrderId;

        $orderDetails['order_id'] = $orderId;
        $index =0;
        foreach ($request->product_id as $product) {
            $orderDetails = new OrderDetail();

            $orderDetails->product_id = $product;
            $orderDetails->product_quantity = $request->product_quantity[$index];
            $orderDetails->product_price = $request->product_price[$index];
            $orderDetails->order_id = $latestOrderId;
            $orderDetails->save();
            $index++;
        }
       
        // $input=OrderDetail::create($orderDetails);
        return redirect()->back();







    }

    /**
     * Display the specified resource.
     */
    public function show(Order $order)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Order $order)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Order $order)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Order $order)
    {
        //
    }
}
