<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="{{ asset('css/style.css') }}">
    <link rel="stylesheet" href="{{ asset('css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ asset('fontawesome-free-6.4.0-web/css/all.min.css') }}">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script src="{{ asset('js/jquery.js') }}"></script>
        <script src="{{ asset('js/main_javascript.js') }}"></script>
</head>

<body>
    <!-- nvbar starts -->
    <section id="header">
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <div class="container-fluid">
                <div class="logo">
                    <img src="./img/logo.png" height="85px" alt="">
                </div>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNav">
                    <div class="order_btn">
                        <button type="button" data-toggle="modal" data-target="#loginModal">
                            new order
                        </button>
                    </div>
                    <div class="recipe">
                        <a href="{{ route('receipt') }}"> Receipt</a>
                    </div>
                    <div class="order_btn1">
                        <button type="button">
                            0
                        </button>
                    </div>
                    <div class="order_btn2">
                        <button type="button">
                            <i class="fa-solid fa-bars"></i>
                        </button>
                    </div>
                    <div class="tis">
                        <a href="">tis software</a>
                    </div>
                    <div class="icons">
                        <div class="first">
                            <i class="fa-solid fa-bell"></i>
                        </div>
                        <div class="second">
                            <i class="fa-solid fa-wifi"></i>
                        </div>
                    </div>
                </div>
            </div>
        </nav>
    </section>
    <!-- navbar ends -->
    <!-- main stasrts-->
    <section id="main">
        <div class="container">
            <div class="row">
                <div class="col-md-4">
                    <form id="receiptForm" action="{{ route('save_order') }}" method="POST">
                        @csrf
                        <input type="hidden" id="tamount" name="totalAmount" value="" />

                        <div class="main_left">
                        <div class="row receipt">
                            <div class="instore">
                                <div class="col-md-4">
                                    <p>
                                        instore
                                    </p>
                                </div>
                                <div class="col-md-4">
                                    <p>
                                        time
                                    </p>
                                </div>
                                <div class="col-md-4">
                                    <p>
                                        #{{ $newOrderId }}
                                    </p>
                                </div>
                            </div>
                            {{-- <div class="total_price">
                                <div class="price">
                                    <div class="para">
                                        <b>
                                            Product
                                        </b>
                                        
                                    </div>
                                    <div class="icon">
                                        <i class="fa-solid fa-minus"></i>
                                    </div>
                                </div>
                            </div> --}}
                         
                        </div>
                        <div class="discount">
                            <div class="total">
                                <p>
                                    discount <br> 00.00
                                </p>
                            </div>
                            <div class="sub">
                                <p>
                                    subtotal <br> <p id="subtotal">00.33</p>
                                </p>
                            </div>
                        </div>
                        <div class="del_btn">
                            <button type="submit">
                                Add Receipt
                            </button>
                        </div>
                    </div>
                </form>
                </div>
                <div class="col-md-8">
                    <div class="row">
                        <div class="main_right">
                            <div class="col-md-2">
                                <div class="main_right1">
                                    <div class="icon">
                                        <i class="fa-solid fa-house"></i>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-10">
                                <div class="main_right2">
                                    <div class="icon">
                                        <div class="sreach">
                                            <i class="fa-solid fa-magnifying-glass"></i>
                                        </div>
                                        <div class="tab">
                                            <i class="fa-solid fa-bars"></i>
                                        </div>
                                        <div class="setting">
                                            <i class="fa-solid fa-gear"></i>
                                        </div>
                                        <div class="star">
                                            <i class="fa-solid fa-star"></i>
                                        </div>
                                        <div class="bold">
                                            <i class="fa-solid fa-b"></i>
                                        </div>
                                    </div>
                                </div>
 
                                   <div class="row col-md-12 images" style="margin-top: 10px">
                                    @foreach ($products as $product)

                                    <div class="col-md-4 items"  data-name="{{ $product->product_name }}" data-price="{{ $product->product_price }}" data-id="{{ $product->product_id }}" data-toggle="modal" data-target="#quantityModal">
                                        <img src="{{ $product->product_image }}" height="100px" width="150px" alt="">
                                        <h5>{{ $product->product_name }}</h5>
                                    </div>
                                   
                                    @endforeach

                                </div>

                            </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div id="pop_up">

            <div class="modal fade" id="loginModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                  <div class="modal-content">
                    <div class="modal-header border-bottom-0">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <div class="d-flex flex-column">
                        <div class="d-flex social-buttons" style="justify-content: space-between;">
                          <button type="button" class="btn_order" data-toggle="tooltip" data-placement="top" title="store">
                            <i class="fa-solid fa-house"></i>
                            <br>
                            <p>
                                In store
                            </p>
                          </button>
                          <button type="button" class="btn_order" data-toggle="tooltip" data-placement="top" title="ride">
                            <i class="fa-solid fa-bicycle"></i>
                            <br>
                            <p>
                                Delivery
                            </p>
                          </button>
                          <button type="button" class="btn_order" data-toggle="tooltip" data-placement="top" title="take">
                            <i class="fa-solid fa-box"></i>
                            <br>
                            <p>
                                Take Away
                            </p>
                          </button>
                      </div>
                    </div>
                  </div>
                    <div class="modal-footer d-flex justify-content-center">
                      <div class="signup-section"> <a href="">Dwe</a></div>
                    </div>
                    <div class="modal-footer d-flex justify-content-center">
                        <div class="signup-section"> <a href="">Hungerstation</a></div>
                      </div>
                      <div class="modal-footer d-flex justify-content-center">
                        <div class="signup-section"> <a href="">Marsool</a></div>
                      </div>
                </div>
                </div>
                </div>
         </div>
        

          <!-- Quantity Modal -->
  <div class="modal fade" id="quantityModall" tabindex="-1" role="dialog" aria-labelledby="quantityModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="productQuantity" >Enter Quantity</h5>
          {{-- <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button> --}}
        </div>
        <div class="modal-body">
          <input type="text" id="quantityInputtt" class="form-control" placeholder="Enter quantity">
        </div>
        <div class="modal-footer">
          <button type="button" id="modelclosee" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-danger"  id="calculateBtnn">Add</button>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade" id="quantityModal" tabindex="-1" role="dialog" aria-labelledby="quantityModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm" role="document">
      <div class="modal-content">
        {{-- <div class="modal-header">
          <h5 class="modal-title" id="productQuantity" >Enter Quantity</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button> 
        </div> --}}
        <div class="modal-body ">
         <div class="col-md-12">
            <div class="Add-sub-quan d-flex">
            <button type="button" class="Add-sub-quan-minus btn btn-danger">
                <svg aria-hidden="rue" focusable="false" data-prefix="fas" data-icon="minus" class="svg-inline--fa fa-minus " role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                    <path fill="currentColor" d="M432 256c0 17.7-14.3 32-32 32L48 288c-17.7 0-32-14.3-32-32s14.3-32 32-32l352 0c17.7 0 32 14.3 32 32z"></path>
                </svg> 
            </button>
            <div class="mc-label-field-group "><input type="text" value="0" placeholder="0" id="result_input"  class="mc-label-field-input quantityInput"></div>
            <button type="button" class="Add-sub-quan-plus btn btn-danger"><svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="plus" class="svg-inline--fa fa-plus " role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                <path fill="currentColor" d="M256 80c0-17.7-14.3-32-32-32s-32 14.3-32 32V224H48c-17.7 0-32 14.3-32 32s14.3 32 32 32H192V432c0 17.7 14.3 32 32 32s32-14.3 32-32V288H400c17.7 0 32-14.3 32-32s-14.3-32-32-32H256V80z"></path></svg> </button>
            </div>
            <div class="cal-btns-wrapper d-flex-wrap col-12">
            <div class="row">
                <div class="col-4">
                <button class="cal-btns" value="1">1</button>
               </div>
               <div class="col-4">
                <button class="cal-btns" value="2">2</button>
               </div>
               <div class="col-4">
                <button class="cal-btns" value="3">3</button>
               </div>
            </div>
            <div class="row">
                <div class="col-4">
                <button class="cal-btns" value="4">4</button>
               </div>
               <div class="col-4">
                <button class="cal-btns" value="5">5</button>
               </div>
               <div class="col-4">
                <button class="cal-btns" value="6">6</button>
               </div>
            </div>
            <div class="row">
                <div class="col-4">
                <button class="cal-btns" value="7">7</button>
               </div>
               <div class="col-4">
                <button class="cal-btns" value="8">8</button>
               </div>
               <div class="col-4">
                <button class="cal-btns" value="9">9</button>
               </div>
            </div>
            <div class="row">
                <div class="col-4">
                <button class="cal-btns-dot" value=".">.</button>
               </div>
               <div class="col-4">
                <button class="cal-btns" value="0">0</button>
               </div>
               <div class="col-4">
                <button class="cal-btns-close">
               
                    <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="delete-left" class="svg-inline--fa fa-delete-left " role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512">
                        <path fill="currentColor" d="M576 128c0-35.3-28.7-64-64-64H205.3c-17 0-33.3 6.7-45.3 18.7L9.4 233.4c-6 6-9.4 14.1-9.4 22.6s3.4 16.6 9.4 22.6L160 429.3c12 12 28.3 18.7 45.3 18.7H512c35.3 0 64-28.7 64-64V128zM271 175c9.4-9.4 24.6-9.4 33.9 0l47 47 47-47c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9l-47 47 47 47c9.4 9.4 9.4 24.6 0 33.9s-24.6 9.4-33.9 0l-47-47-47 47c-9.4 9.4-24.6 9.4-33.9 0s-9.4-24.6 0-33.9l47-47-47-47c-9.4-9.4-9.4-24.6 0-33.9z"></path>
                    </svg></button>
                </div>
            </div>
                </div>
                    <div class="col-md-12">
                        <button type="button" id="calculateBtn" class=" btn btn-danger btn-save">
                         <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="check" class="svg-inline--fa fa-check f-13" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                            <path fill="currentColor" d="M438.6 105.4c12.5 12.5 12.5 32.8 0 45.3l-256 256c-12.5 12.5-32.8 12.5-45.3 0l-128-128c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0L160 338.7 393.4 105.4c12.5-12.5 32.8-12.5 45.3 0z"></path>
                        </svg> Save </button></div></div>
                       
        </div>
        <div class="modal-footer">
          <button type="button" id="modelclose" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>
            
    </section>
    <!-- main end -->
    <script src="./js/bootstrap.min.js"></script>
    <script src="./fontawesome-free-6.4.0-web/js/all.min.js"></script>
</body>
<script>
       $('.cal-btns,.cal-btns-dot').on('click', function() {
        var value = $(this).val();
        var num1  = "" + $('#result_input').val() + value;
        $('#result_input').val(num1);
      });
      $('.cal-btns-close').on('click', function() {
       var vv= $('#result_input').val().substring(0, $('#result_input').val().length-1);
      
       $('#result_input').val(vv);
    });
</script>
<script>
    $(document).ready(function() {
      $('.Add-sub-quan-plus').on('click', function() {
        var value = parseInt($('#result_input').val());
        value += 1;
        $('#result_input').val(value);
      });
    });
  </script>
  <script>
    $(document).ready(function() {
      $('.Add-sub-quan-minus').on('click', function() {
        var value = parseInt($('#result_input').val());
        value -= 1;
        $('#result_input').val(value);
      });
    });
  </script>
<script>
    $("#calculateBtn").click(function () {
        
        var id = $(".selectedItem").data('id');
        var name = $(".selectedItem").data('name');
        var qty = $(".quantityInput").val();
        var product_price = $(".selectedItem").data('price');
        var price = qty*product_price;
        
        // var newDiv = $('<div>New Div</div>');
        //  var newDiv = id+  '    '   +name+ '   '  +price
        var newDiv = `
      <div class="total_price">
        <div class="price"  data-price="${price}">
          <div class="para">
            <p>
                <b>${name}</b> <br>- Quantity: ${qty} - Price: $${product_price}
            </p>
            <input type="hidden" id="item_id[]" name="product_id[]" value="${id}" />
            <input type="hidden" id="qty[]" name="product_quantity[]" value="${qty}" />
            <input type="hidden" id="qty[]" name="product_order_price[]" value="${product_price}" />
            </div>
          <div class="icon">
            <i class="fa-solid fa-minus remove-item"></i>
          </div>
        </div>
      </div>
    `;
    var value = "Hello, World!";
  

     $('.receipt').append(newDiv);
     var totalAmount=0;
     $('.price').each(function(){
    totalAmount += $(this).data("price");
     $("#tamount").val(totalAmount);
    });
    $("#subtotal").text(totalAmount);
     
    $('#modelclose').click();


});

      </script>
      
      <script>
        $(document).on('click', '.remove-item', function() {
            $(this).closest('.total_price').remove();
          });
          $(document).on('click', '.items', function() {
            $('.items').removeClass("selectedItem");
            $(this).addClass('selectedItem');
          
        });
          </script>
          <script>
            $(document).ready(function() {
              $('.logo').on('click', function() {
                window.location.href = "{{ url('resturant') }}";
              });
            });
            </script>

</html>